%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           python-fiat
Version:        0.3.5
Release:        1%{?dist}
Summary:        Generation of arbitrary order instances of the Lagrange elements

Group:          Applications/Engineering
License:        LGPLv2+
URL:            http://www.fenics.org/wiki/FIAT
Source0:        http://www.fenics.org/pub/software/fiat/FIAT-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

BuildRequires:  python-devel
BuildRequires:  python-setuptools
Requires:       numpy

%description
The FInite element Automatic Tabulator FIAT supports generation of arbitrary
order instances of the Lagrange elements on lines, triangles, and tetrahedra.
It is also capable of generating arbitrary order instances of Jacobi-type
quadrature rules on the same element shapes. Upcoming versions will also
support Hermite and nonconforming elements as well as H(div) and H(curl)
elements such as Raviart-Thomas and Nedelec. 


%prep
%setup -q -n FIAT-%{version}
sed -i -e '/^#!\//, 1d' FIAT/xpermutations.py


%build
%{__python} setup.py build


%install
rm -rf %{buildroot}
%{__python} setup.py install --skip-build --root %{buildroot}


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%{python_sitelib}/FIAT/
%{python_sitelib}/*.egg-info


%changelog
* Sun Dec 06 2009 Fabian Affolter <fabian@bernewireless.net> - 0.3.5-1
- Updated to new upsteram version 0.3.5

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Feb 04 2009 Fabian Affolter <fabian@bernewireless.net> - 0.3.4-2
- Fixied license tag -> LGPLv2+

* Sat Jan 30 2009 Fabian Affolter <fabian@bernewireless.net> - 0.3.4-1
- Initial package for Fedora
